# db/migrate/20240612000000_add_local_top_algorithm_support.rb
class AddLocalTopAlgorithmSupport < ActiveRecord::Migration[8.0]
  disable_ddl_transaction!

  def change
    # Safe to add immediately
    add_column :users, :feed_algorithm, :string, default: 'chronological'

    # Add reference without foreign key constraint first
    add_reference :statuses, :status_stat, 
                 index: { algorithm: :concurrently },
                 foreign_key: false
  end
end